#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	Imager
%define		pnam	Imager
Summary:	Imager - Perl extension for generating images
Summary(pl.UTF-8):	Imager - rozszerzenie Perla do generowania obrazków
Name:		perl-Imager
Version:	1.010
Release:	6
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Imager/%{pnam}-%{version}.tar.gz
# Source0-md5:	421da4931542a80d3fa657d764e7b458
URL:		http://imager.perl.org/
BuildRequires:	freetype-devel >= 2.0
BuildRequires:	giflib-devel >= 4.1.0-4
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	t1lib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Imager is a module for creating and altering images. It can read and
write various image formats, draw primitive shapes like lines, and
polygons, blend multiple images together in various ways, scale, crop,
render text and more.

%description -l pl.UTF-8
Imager to moduł do tworzenia i modyfikowania obrazków. Potrafi czytać
i zapisywać różne formaty obrazków, rysować proste kształty takie jak
linie i wielokąty, mieszać wiele obrazków razem na różne sposoby,
skalować, obcinać, nanosić tekst itd.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	--enable ft2 \
	--enable gif \
	--enable jpeg \
	--enable png \
	--enable t1 \
	--enable tiff

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/Imager

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/Imager/*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Imager.pm
%{perl_vendorarch}/Imager
%dir %{perl_vendorarch}/auto/Imager
%attr(755,root,root) %{perl_vendorarch}/auto/Imager/Imager.so
%dir %{perl_vendorarch}/auto/Imager/CountColor
%attr(755,root,root) %{perl_vendorarch}/auto/Imager/CountColor/CountColor.so
%dir %{perl_vendorarch}/auto/Imager/File
%dir %{perl_vendorarch}/auto/Imager/File/GIF
%attr(755,root,root) %{perl_vendorarch}/auto/Imager/File/GIF/GIF.so
%dir %{perl_vendorarch}/auto/Imager/File/ICO
%attr(755,root,root) %{perl_vendorarch}/auto/Imager/File/ICO/ICO.so
%dir %{perl_vendorarch}/auto/Imager/File/JPEG
%attr(755,root,root) %{perl_vendorarch}/auto/Imager/File/JPEG/JPEG.so
%dir %{perl_vendorarch}/auto/Imager/File/PNG
%attr(755,root,root) %{perl_vendorarch}/auto/Imager/File/PNG/PNG.so
%dir %{perl_vendorarch}/auto/Imager/File/SGI
%attr(755,root,root) %{perl_vendorarch}/auto/Imager/File/SGI/SGI.so
%dir %{perl_vendorarch}/auto/Imager/File/TIFF
%attr(755,root,root) %{perl_vendorarch}/auto/Imager/File/TIFF/TIFF.so
%dir %{perl_vendorarch}/auto/Imager/Filter
%dir %{perl_vendorarch}/auto/Imager/Filter/DynTest
%attr(755,root,root) %{perl_vendorarch}/auto/Imager/Filter/DynTest/DynTest.so
%dir %{perl_vendorarch}/auto/Imager/Filter/Flines
%attr(755,root,root) %{perl_vendorarch}/auto/Imager/Filter/Flines/Flines.so
%dir %{perl_vendorarch}/auto/Imager/Filter/Mandelbrot
%attr(755,root,root) %{perl_vendorarch}/auto/Imager/Filter/Mandelbrot/Mandelbrot.so
%dir %{perl_vendorarch}/auto/Imager/Font
%dir %{perl_vendorarch}/auto/Imager/Font/FT2
%attr(755,root,root) %{perl_vendorarch}/auto/Imager/Font/FT2/FT2.so
%dir %{perl_vendorarch}/auto/Imager/Font/T1
%attr(755,root,root) %{perl_vendorarch}/auto/Imager/Font/T1/T1.so
%dir %{perl_vendorlib}/Imager
%{_mandir}/man3/Imager*.3pm*
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Imager.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> a62bf14
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> dd19136
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> fa4b31d
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 74521d2
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> e96d12b
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> cde3b46
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Thu Feb 14 2019 Adam Gołębiowski <adamg@pld-linux.org> fd568e0
- updated to 1.010

* Sun Nov 25 2018 Adam Gołębiowski <adamg@pld-linux.org> 267f13f
- updated to 1.007

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 3d326cb
- rebuild with perl 5.28.0
- release 5 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 32d4c48
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 1570e04
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> e23a929
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Wed Jan 06 2016 Jakub Bogusz <qboosh@pld-linux.org> 9a5a292
- use Makefile.PL options instead of "manual" configuration

* Sat Jan 02 2016 Jan Rękorajski <baggins@pld-linux.org> b46e337
- up to 1.004

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> 266b93b
- release 5 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> c6f40da
- release 4 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> d0fa22a
- x32 rebuild
- release 3 (by relup.sh)

* Sun Oct 26 2014 Jan Rękorajski <baggins@pld-linux.org> 229c950
- release 2 (by relup.sh)

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> cc9bc8e
- up to 1.000

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> aa582f1
- release 3 (by relup.sh)

